/* initialize all the global variables */
/* Author: Hormoz Yaghutiel, Advisor: Alberto Sangiovanni-Vincentelli */
/* last change : 6/30/87 */

/*
 * Modifications to Adore 
 * Henry Chang (henryc@ic.Berkeley.EDU)
 * Fall, 1990
 */

#define C_FILE_NAME "INPinitGlb.c"

#include <stdio.h>
#include "ADglobals.h"

#include "errtrap.h"

INPinitGlb()
{
  int type;

  Numinteg = 0;
  Numcblk = 0;
  Numsw = 0;
  Numclk = 0;
  Numcap = 0;
  Numnet = 0;
  Numterm = 0;

  for ( type=0; type < NUMMODTYPES; type++ ) {
    modlist[type] = NULL;
  }

  netlist = NULL;
  ordered_nets = NULL;
  liblist = NULL;

  CALLOC_ERRCHK(chanlist[TOP],1,struct _channel);
  INPinitChan( chanlist[TOP], TOP );
  CALLOC_ERRCHK(chanlist[BOTTOM], 1, struct _channel);
  INPinitChan( chanlist[BOTTOM], BOTTOM );
  CALLOC_ERRCHK(chanlist[CLKCH], 1, struct _channel);
  INPinitChan( chanlist[CLKCH], CLKCH );

  gerror = OFF;
}
