/* read the layout information from all the library entries */
/* Author : Hormoz Yaghutiel, Advisor: Alberto Sangiovanni-Vincentelli */
/* Last Change : 7/7/87 */

/*
 * Modifications to Adore
 * Henry Chang (henryc@ic.Berkeley.EDU)
 * Fall, 1990
 */

#define C_FILE_NAME "LIBfillAll.c"

/* defined: LIBfillAll */

#include "ADglobals.h"
#include <stdio.h>
#include "oct.h"
#include "errtrap.h"

LIBfillAll()
{
  struct _lib *tmplib;

  for ( tmplib = liblist; tmplib != NULL; tmplib = tmplib->next ) {
    if ( tmplib->stptr->module->type == SWCH ) {
      LIBfillSw(tmplib);
    }
    else if ( tmplib->stptr->module->type == OPAMP ) {
      LIBfillAmp(tmplib);
    }
    else {
      errRaise(C_FILE_NAME,0,"LIBfillAll;1: internal error");
    }
  }
}
